--- ktextwidgets-5.98.0.orig/CMakeLists.txt
+++ ktextwidgets-5.98.0/CMakeLists.txt
@@ -58,7 +58,7 @@
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
-cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
+option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" "NOT CMAKE_CROSSCOMPILING")
 add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
 
 add_definitions(-DTRANSLATION_DOMAIN=\"ktextwidgets5\")
